Analytics Websites
GET https://app.bryzora.com/api/analytics-websites/
curl --request GET \
--url 'https://app.bryzora.com/api/analytics-websites/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://app.bryzora.com/api/analytics-websites/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Details | Description |
|---|---|---|
| page | Optional Integer | The page number that you want results from. Defaults to 1. |
| results_per_page | Optional Integer | How many results you want per page. Allowed values are: 10, 25, 50, 100. Defaults to 25. |
{
"data": [
{
"id": 1,
"name": "My Website",
"scheme": "https://",
"host": "example.com",
"tracking_type": "normal",
"pixel_key": "abc123",
"is_enabled": true,
"bot_exclusion_is_enabled": true,
"sessions_replays_is_enabled": false,
"email_reports_is_enabled": false,
"public_statistics_is_enabled": false,
"datetime": "2026-05-01 20:11:46"
}
],
"meta": { "page": 1, "results_per_page": 25, "total_results": 1, "total_pages": 1 }
}
GET https://app.bryzora.com/api/analytics-websites/{id}
curl --request GET \
--url 'https://app.bryzora.com/api/analytics-websites/{id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://app.bryzora.com/api/analytics-websites/{id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "My Website",
"scheme": "https://",
"host": "example.com",
"tracking_type": "normal",
"pixel_key": "abc123",
"is_enabled": true,
"bot_exclusion_is_enabled": true,
"sessions_replays_is_enabled": false,
"email_reports_is_enabled": false,
"public_statistics_is_enabled": false,
"datetime": "2026-05-01 20:11:46"
}
}
POST https://app.bryzora.com/api/analytics-websites
| Parameters | Details | Description |
|---|---|---|
| name | Required String | Display name |
| host | Required String | Domain without scheme (e.g. example.com) |
| scheme | Optional String | https:// (default) or http:// |
| tracking_type | Optional String | normal (default) or lightweight |
| bot_exclusion_is_enabled | Optional Integer | 0 or 1 |
| sessions_replays_is_enabled | Optional Integer | 0 or 1 |
| email_reports_is_enabled | Optional Integer | 0 or 1 |
| public_statistics_is_enabled | Optional Integer | 0 or 1 |
curl --request POST \
--url 'https://app.bryzora.com/api/analytics-websites' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My Website' \
--form 'host=example.com' \
--form 'tracking_type=normal' \
--url 'https://app.bryzora.com/api/analytics-websites' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My Website' \
--form 'host=example.com' \
--form 'tracking_type=normal' \
{ "data": { "id": 1 } }
POST https://app.bryzora.com/api/analytics-websites/{id}
| Parameters | Details | Description |
|---|---|---|
| name | Optional String | Display name |
| is_enabled | Optional Integer | 0 or 1 |
| bot_exclusion_is_enabled | Optional Integer | 0 or 1 |
| sessions_replays_is_enabled | Optional Integer | 0 or 1 |
| email_reports_is_enabled | Optional Integer | 0 or 1 |
| public_statistics_is_enabled | Optional Integer | 0 or 1 |
curl --request POST \
--url 'https://app.bryzora.com/api/analytics-websites/{id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=1' \
--url 'https://app.bryzora.com/api/analytics-websites/{id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=1' \
{ "data": { "id": 1 } }
DELETE https://app.bryzora.com/api/analytics-websites/{id}
curl --request DELETE \
--url 'https://app.bryzora.com/api/analytics-websites/{id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://app.bryzora.com/api/analytics-websites/{id}' \
--header 'Authorization: Bearer {api_key}' \